Skip to main content
POST
/
billing
/
change-plan
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/billing/change-plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "message": "<string>",
  "scheduledDate": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Body

application/json

Request body for changing subscription plan

tier
enum<string>
required

Target tier to switch to (enterprise handled via contactEnterprise)

Available options:
free,
starter,
growth,
scale

Response

200 - application/json

OK

Response from a plan change operation

status
enum<string>
required

Result of the plan change operation

Available options:
upgraded,
downgraded,
scheduled,
no_change,
error
message
string
required

Human-readable result description

scheduledDate
string<date-time> | null
required

For downgrades: ISO 8601 date when the change takes effect